- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
BellmanFord< GR, LEN, TR >::ActiveIt Class Reference

## Detailed Description

### template<typename GR, typename LEN, typename TR>
class lemon::BellmanFord< GR, LEN, TR >::ActiveIt

This class provides a common style LEMON iterator that traverses the active nodes of the Bellman-Ford algorithm after the last phase. These nodes should be checked in the next phase to find augmenting arcs outgoing from them.

`#include <lemon/bellman_ford.h>`

## Public Member Functions
| ActiveIt (const BellmanFord &algorithm)
| Constructor. More...
| ActiveIt (Invalid)
| Invalid constructor. More...
| operator Node () const
| Conversion to `Node`. More...
ActiveIt & | operator++ ()
| Increment operator. More...

## Constructor & Destructor Documentation

ActiveIt | ( | const BellmanFord & | algorithm | ) |
| inline

Constructor for getting the active nodes of the given BellmanFord instance.

ActiveIt | ( | Invalid |  | ) |
| inline

Invalid constructor.

## Member Function Documentation

operator Node | ( |  | ) | const
| inline

Conversion to `Node`.

ActiveIt& operator++ | ( |  | ) |
| inline

Increment operator.